//  AppDelegate.m

#import "AppDelegate.h"
#import "ViewController.h"
#import "AdSuite.h"
#import "GANTracker.h"

@implementation AppDelegate

@synthesize window = _window;
@synthesize viewController = _viewController;

#pragma mark - AdSuite2ViewControllerDelegate
- (void)setAdSuiteFrame:(UIView *)bannerView {
    bannerView.frame = CGRectMake(0, 460-50, 320, 50);
}

- (UIViewController *)adSuiteRootViewController:(UIView *)bannerView {
    return self.viewController;
}

- (void)dealloc
{
    // 구글 Analytics 메모리 해제
    [[GANTracker sharedTracker] stopTracker];
    [_window release];
    [_viewController release];
    [super dealloc];
}

- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions
{
    self.window = [[[UIWindow alloc] initWithFrame:[[UIScreen mainScreen] bounds]] autorelease];
    // Override point for customization after application launch.
    
    // 구글 Analytics 초기화
    [[GANTracker sharedTracker] startTrackerWithAccountID:@"UA-0000000-1"
                                           dispatchPeriod:10
                                                 delegate:nil];
    // 앱의 실행을 체크 하는 "페이지" 통계 데이터 수집
    [[GANTracker sharedTracker] trackPageview:@"/app_entry_point" withError:nil];
    // view 생성
    self.viewController = [[[ViewController alloc] initWithNibName:@"ViewController" bundle:nil] autorelease];
    AdSuiteViewController *ad = [[AdSuiteViewController alloc] init];
    ad.delegate = self;
    [self.viewController.view addSubview:ad.view];
    self.window.rootViewController = self.viewController;
    [self.window makeKeyAndVisible];
    return YES;
}

- (void)applicationWillResignActive:(UIApplication *)application
{
    /*
     Sent when the application is about to move from active to inactive state. This can occur for certain types of temporary interruptions (such as an incoming phone call or SMS message) or when the user quits the application and it begins the transition to the background state.
     Use this method to pause ongoing tasks, disable timers, and throttle down OpenGL ES frame rates. Games should use this method to pause the game.
     */
}

- (void)applicationDidEnterBackground:(UIApplication *)application
{
    /*
     Use this method to release shared resources, save user data, invalidate timers, and store enough application state information to restore your application to its current state in case it is terminated later. 
     If your application supports background execution, this method is called instead of applicationWillTerminate: when the user quits.
     */
}

- (void)applicationWillEnterForeground:(UIApplication *)application
{
    /*
     Called as part of the transition from the background to the inactive state; here you can undo many of the changes made on entering the background.
     */
}

- (void)applicationDidBecomeActive:(UIApplication *)application
{
    /*
     Restart any tasks that were paused (or not yet started) while the application was inactive. If the application was previously in the background, optionally refresh the user interface.
     */
}

- (void)applicationWillTerminate:(UIApplication *)application
{
    /*
     Called when the application is about to terminate.
     Save data if appropriate.
     See also applicationDidEnterBackground:.
     */
}

@end
