//  ViewController.m

#import "ViewController.h"
#import "SVProgressHUD.h"
#import "SHK.h"
#import "SHKTwitter.h"
#import "GANTracker.h"

@implementation ViewController

#pragma mark - Touch
// 뷰가 터치될때 마다 실행
- (void)touchesEnded:(NSSet *)touches withEvent:(UIEvent *)event {
    twitterButton.hidden = !twitterButton.hidden;
}

#pragma mark - NINetworkImageViewDelegate
// 웹에서 이미지 받기 시작할때 호출
- (void)networkImageViewDidStartLoad:(NINetworkImageView *)imageView {
    [SVProgressHUD show];
}

// 웹에서 이미지 받기 완료후 호출
- (void)networkImageView:(NINetworkImageView *)imageView didLoadImage:(UIImage *)image {
    [SVProgressHUD dismiss];
}

// 웹에서 이미지 받기 실패시 호출
- (void)networkImageViewDidFailLoad:(NINetworkImageView *)imageView {
    [SVProgressHUD dismissWithError:@"Fail"];
}

#pragma mark - View lifecycle
- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Release any cached data, images, etc that aren't in use.
}

- (void)viewDidLoad
{
    [super viewDidLoad];
    // 이미지뷰 생성 및 크기 설정
	imageView = [[NINetworkImageView alloc] initWithFrame:CGRectMake(0, 25, 320, 385)]; 
    // NINetworkImageViewDelegate 설정
    imageView.delegate = self; 
    // 웹 이미지 다운로드
    [imageView setPathToNetworkImage:@"http://dl.dropbox.com/u/7245191/book/daily.png"]; 
    [self.view addSubview:imageView]; // 메인뷰에 이미지뷰를 추가
    // 버튼보다 이미지뷰가 뒤에 위치하도록 설정
    [self.view sendSubviewToBack:imageView];
}

- (void)dealloc {
    [imageView release];
    [twitterButton release];
    [super dealloc];
}

- (void)viewDidUnload
{
    [twitterButton release];
    twitterButton = nil;
    [imageView release];
    imageView = nil;
    [super viewDidUnload];
}

- (void)viewWillAppear:(BOOL)animated
{
    [super viewWillAppear:animated];
}

- (void)viewDidAppear:(BOOL)animated
{
    [super viewDidAppear:animated];
}

- (void)viewWillDisappear:(BOOL)animated
{
	[super viewWillDisappear:animated];
}

- (void)viewDidDisappear:(BOOL)animated
{
	[super viewDidDisappear:animated];
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // Return YES for supported orientations
    return (interfaceOrientation != UIInterfaceOrientationPortraitUpsideDown);
}

#pragma mark - IBAction
- (IBAction)clickRefreshButton:(id)sender {
    [SVProgressHUD show]; // 로딩중 이미지 표시
    [imageView 
     setPathToNetworkImage:@"http://dl.dropbox.com/u/7245191/book/daily.png"];
}

- (IBAction)clickTwitterShare:(id)sender {
    [SHKTwitter shareImage:imageView.image title:@"dailyPen 공유"];
    [[GANTracker sharedTracker] trackEvent:@"button"
                                    action:@"share"
                                     label:@"twitter"
                                     value:-1
                                 withError:nil];
}

@end
