//  DetailViewController.m

#import "DetailViewController.h"
#import "SVProgressHUD.h"
#import "SHK.h"
#import "SHKTwitter.h"
#import "SHKFacebook.h"

@implementation DetailViewController
@synthesize imageName;

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)didReceiveMemoryWarning
{
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc that aren't in use.
}

#pragma mark - Touch handle
- (void)touchesEnded:(NSSet *)touches withEvent:(UIEvent *)event {
    buttonBackgroundImageView.hidden = !buttonBackgroundImageView.hidden;
    closeButton.hidden = !closeButton.hidden;
    twitterButton.hidden = !twitterButton.hidden;
    saveButton.hidden = !saveButton.hidden;
    facebookButton.hidden = !facebookButton.hidden;
}

#pragma mark - View lifecycle

- (void)viewDidLoad
{
    [super viewDidLoad];
    [imageView setImage:[UIImage imageNamed:imageName]];
}

- (void)viewDidUnload
{
    [imageView release];
    imageView = nil;
    [buttonBackgroundImageView release];
    buttonBackgroundImageView = nil;
    [closeButton release];
    closeButton = nil;
    [twitterButton release];
    twitterButton = nil;
    [saveButton release];
    saveButton = nil;
    [facebookButton release];
    facebookButton = nil;
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}

#pragma mark - IBAction
- (IBAction)clickCloseButton:(id)sender {
    [self dismissModalViewControllerAnimated:YES];
}

// 이미지 저장완료시 호출
- (void)imageSavedToPhotosAlbum:(UIImage *)image didFinishSavingWithError:(NSError *)error contextInfo:(void *)contextInfo {  
    if (error) {
        [SVProgressHUD dismissWithError:@"Fail"];
    } else {
        [SVProgressHUD dismiss];
    }
}

// 이미지 저장
- (IBAction)clickSaveButton:(id)sender {
    [SVProgressHUD show];
    UIImageWriteToSavedPhotosAlbum(imageView.image, self, @selector(imageSavedToPhotosAlbum:didFinishSavingWithError:contextInfo:), nil);
}

// 트위터 공유
- (IBAction)clickTwitterButton:(id)sender {
    [SHKTwitter shareImage:imageView.image title:@"BackWall 공유"];
}

// 페이스북 공유
- (IBAction)clickFacebookButton:(id)sender {
    [SHKFacebook shareImage:imageView.image title:@"BackWall 공유"];
}

- (void)dealloc {
    [imageView release];
    [buttonBackgroundImageView release];
    [closeButton release];
    [twitterButton release];
    [saveButton release];
    [facebookButton release];
    [super dealloc];
}
@end
