//  FourImageView.m

#import "FourImageView.h"
#import "DetailViewController.h"

static CGFloat IMAGE_WIDTH = 160;   // 썸네일 가로 사이즈
static CGFloat IMAGE_HEIGHT = 230;  // 썸네일 세로 사이즈

@implementation FourImageView
@synthesize imageName1, imageName2, imageName3, imageName4;

- (id)initWithFrame:(CGRect)frame
{
    self = [super initWithFrame:frame];
    if (self) {
        
    }
    return self;
}

// 썸네일 이미지 이름 생성 메서드
- (NSString *)thumbImageName:(NSString *)imageName {
    return [NSString stringWithFormat:@"%@_thumb", imageName];
}

// 서브뷰 생성 메서드
-(void)layoutSubviews {
    [super layoutSubviews];
    
    // 배경화면색 설정
    [self setBackgroundColor:[UIColor scrollViewTexturedBackgroundColor]];
    
    // 왼쪽 상위이미지뷰 생성
    UIImageView *imageView1 = [[UIImageView alloc] initWithImage:
                               [UIImage imageNamed:[self thumbImageName:imageName1]]];
    imageView1.frame = CGRectMake(0, 0, IMAGE_WIDTH, IMAGE_HEIGHT); // 이미지뷰 사이즈 지정
    [self addSubview:imageView1]; // FourImageView 에 이미지뷰 추가
    [imageView1 release];
    
    // 오른쪽 상위이미지뷰 생성
    UIImageView *imageView2 = [[UIImageView alloc] initWithImage:
                               [UIImage imageNamed:[self thumbImageName:imageName2]]];
    imageView2.frame = CGRectMake(IMAGE_WIDTH, 0, IMAGE_WIDTH, IMAGE_HEIGHT);
    [self addSubview:imageView2];
    [imageView2 release];
    
    // 왼쪽 하위이미지뷰 생성
    UIImageView *imageView3 = [[UIImageView alloc] initWithImage:
                               [UIImage imageNamed:[self thumbImageName:imageName3]]];
    imageView3.frame = CGRectMake(0, IMAGE_HEIGHT, IMAGE_WIDTH, IMAGE_HEIGHT);
    [self addSubview:imageView3];
    [imageView3 release];
    
    // 오른쪽 하위이미지뷰 생성
    UIImageView *imageView4 = [[UIImageView alloc] initWithImage:
                               [UIImage imageNamed:[self thumbImageName:imageName4]]];
    imageView4.frame = CGRectMake(IMAGE_WIDTH, IMAGE_HEIGHT, IMAGE_WIDTH, IMAGE_HEIGHT);
    [self addSubview:imageView4];
    [imageView4 release];
}

// 터치 액션 종료시 호출되는 함수
- (void)touchesEnded:(NSSet *)touches withEvent:(UIEvent *)event {
    UITouch *anyObj = [touches anyObject];
    CGPoint touchPoint = [anyObj locationInView:self];
    NSString *imageName = nil;
    if (touchPoint.x < IMAGE_WIDTH) {
        if (touchPoint.y < IMAGE_HEIGHT) {
            imageName = imageName1;
        } else {
            imageName = imageName3;
        }
    } else {
        if (touchPoint.y < IMAGE_HEIGHT) {
            imageName = imageName2;
        } else {
            imageName = imageName4;
        }
    }
    
    DetailViewController *detailVc = [[DetailViewController alloc] 
                                      initWithNibName:@"DetailViewController" bundle:nil];
    detailVc.imageName = imageName;
    detailVc.modalTransitionStyle = UIModalTransitionStyleCrossDissolve;
    // 새로운 ModalView 생성 및 호출
    [self.window.rootViewController presentModalViewController:detailVc animated:YES];
    [detailVc release];
}


@end
