//  FlipsideViewController.m

#import "FlipsideViewController.h"

@implementation FlipsideViewController

@synthesize textView = _textView;
@synthesize delegate = _delegate;

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Release any cached data, images, etc that aren't in use.
}

#pragma mark - View lifecycle

- (void)viewDidLoad {
    [super viewDidLoad];
    // delegate 설정이 되어 있는경우 기상특보 데이터를 텍스트뷰에 표시
    if ([self.delegate respondsToSelector:@selector(flipsideViewControllerGetReportDic)]) {
        NSMutableDictionary *reportDic = [self.delegate flipsideViewControllerGetReportDic];
        NSMutableString *text = [NSMutableString string];
        NSArray *sectionArray = [reportDic objectForKey:@"section"];
        NSArray *rowArray = [reportDic objectForKey:@"row"];
        NSString *referenceString = [reportDic objectForKey:@"reference"];
        NSUInteger count = [sectionArray count];
        for (int i = 0; i < count; i++) {
            [text appendFormat:@"+ %@\n", [sectionArray objectAtIndex:i]];
            NSArray *regionArray = [rowArray objectAtIndex:i];
            NSUInteger jcount = [regionArray count];
            for (int j = 0; j < jcount; j++) {
                NSString *startString = @",";
                if (j == 0) {
                    startString = @":";
                }
                NSDictionary *regionDic = [regionArray objectAtIndex:j];
                NSArray *subRegionArray = [regionDic objectForKey:@"subregion"];
                [text appendFormat:@"%@ %@", startString, [regionDic objectForKey:@"region"]];
                if ([subRegionArray count] > 0) {
                    [text appendFormat:@"(%@)", [subRegionArray componentsJoinedByString:@","]];
                }
                [text appendString:@"\n"];
            }
            [text appendString:@"\n"];
        }
        [text appendFormat:@"\n<%@>\n%@", @"참고사항", referenceString];
        self.textView.text = text;
    }
}

- (void)viewDidUnload
{
    [self setTextView:nil];
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}

- (void)viewWillAppear:(BOOL)animated
{
    [super viewWillAppear:animated];
}

- (void)viewDidAppear:(BOOL)animated
{
    [super viewDidAppear:animated];
}

- (void)viewWillDisappear:(BOOL)animated
{
	[super viewWillDisappear:animated];
}

- (void)viewDidDisappear:(BOOL)animated
{
	[super viewDidDisappear:animated];
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // Return YES for supported orientations
    return (interfaceOrientation != UIInterfaceOrientationPortraitUpsideDown);
}

#pragma mark - Actions

- (IBAction)done:(id)sender
{
    [self.delegate flipsideViewControllerDidFinish:self];
}

- (void)dealloc {
    [_textView release];
    [super dealloc];
}
@end
