//  ViewController.m

#import "ViewController.h"
#import "SVProgressHUD.h"

@interface ViewController ()

@end

@implementation ViewController
@synthesize giutWebView;

- (void)viewDidLoad
{
    [super viewDidLoad];    
    NSString *path = [[NSBundle mainBundle] bundlePath];
    NSURL *baseURL = [NSURL fileURLWithPath:path];    
    // 웹뷰에 보여줄 html 코드 생성
    NSString *html = @"<body style='margin:0px;'><img src='giut.png' width='320px' height='480px' border=0></body>";
    // 웹뷰에 html 로드 시작
    [self.giutWebView loadHTMLString:html baseURL:baseURL];
}

- (void)viewDidUnload
{
    [self setGiutWebView:nil];
    [super viewDidUnload];
    // Release any retained subviews of the main view.
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    return (interfaceOrientation != UIInterfaceOrientationPortraitUpsideDown);
}

- (void)dealloc {
    [giutWebView release];
    [super dealloc];
}

- (IBAction)segmentedIndexChange:(id)sender {
    UISegmentedControl *segmenteController = (UISegmentedControl *)sender;
    NSInteger selectedIndex = [segmenteController selectedSegmentIndex];
    NSString *url = @"";
    switch (selectedIndex) {
        case 0:
            url = @"http://allmine.co.kr/giut_sample/giut.php"; break;
        case 1:
            url = @"http://allmine.co.kr/giut_sample/list2.php"; break;
        case 2:
            url = @"http://allmine.co.kr/giut_sample/config.php"; break;
    }
    [self.giutWebView loadRequest:[NSURLRequest requestWithURL:[NSURL URLWithString:url]]];
}

#pragma mark - UIWebViewDelegate

- (BOOL)webView:(UIWebView *)webView 
 shouldStartLoadWithRequest:(NSURLRequest *)request 
 navigationType:(UIWebViewNavigationType)navigationType
{
    [SVProgressHUD show];
    return YES;
}

- (void)webViewDidFinishLoad:(UIWebView *)webView 
{
    [SVProgressHUD dismissWithSuccess:@"Success"];
}

- (void)webView:(UIWebView *)webView didFailLoadWithError:(NSError *)error 
{
    [SVProgressHUD dismissWithError:@"Fail"];
}


@end
